LibreOffice with ambiance theme and breeze icon style is unusable

Bug #1580537 reported by Dražen Matešić on 2016-05-11
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
libreoffice (Ubuntu)
Undecided
Unassigned
ubuntu-themes (Ubuntu)
Undecided
Unassigned

Bug Description

Until today i didn't use LibreOffice on Ubuntu 16.04. I opened it today and i see menu/icon bar totally unusable with Ambiance theme and default Breeze style. (image attached)

The version installed is 5.1.2-0ubuntu1.

I did upgrade from 14.04 to 16.04 with some issues.

Changing from Breeze to Human is usable but fugly.

No issue with Radiance theme.

Related branches

Revision history for this message
Dražen Matešić (crazylemon) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libreoffice (Ubuntu):
status: New → Confirmed
Revision history for this message
Dražen Matešić (crazylemon) wrote :

A workaround to this issue is to open up /usr/lib/libreoffice/program/soffice and add
export GTK_THEME=Radiance
line.

Revision history for this message
Björn Michaelsen (bjoern-michaelsen) wrote :

See attached pic for a fixed look. This should keep LibreOffice useable in gtk3 mode.

Changed in ubuntu-themes (Ubuntu):
status: New → Fix Committed
Revision history for this message
fprietog (fprietog) wrote :

@Björn Michaelsen; the fixed pic you posted looks very nice. Hope the fix reach the repo soon.

Revision history for this message
Björn Michaelsen (bjoern-michaelsen) wrote :

The patched LibreOffice and patched ubuntu-themes can be tested together on Yakkety by installing from this ppa:

 https://launchpad.net/~libreoffice/+archive/ubuntu/ppa

Changed in libreoffice (Ubuntu):
status: Confirmed → Fix Committed
Revision history for this message
Björn Michaelsen (bjoern-michaelsen) wrote :

This is the vendor patch for LibreOffice on yakkety to make this work with the (patched) theme on gtk-3.20:
https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice/tree/patches/gtk3-toolbar-styleclass.diff?h=ubuntu-yakkety-5.2&id=93bf8e2da6110a244007208d56b89c31ef5fb1ad

The theme needs the patching as per libreoffice-toolbars-320 branch linked to this issue.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:5.2.1~rc2-0ubuntu1

---------------
libreoffice (1:5.2.1~rc2-0ubuntu1) yakkety; urgency=medium

  * new upstream rc
  * disable cups for autopkgtests too
  * make libreoffice-gnome depend on -gtk3 by default
  * update gtk3 toolbar theming patch and re-enable it (LP: #1580537)
  * update gdrive auth details
  * kill packagekit var as did upstream and trigger on gio instead (as does upstream)
  * update C/R for liblosessioninstallerlo.so move

 -- Bjoern Michaelsen <email address hidden> Fri, 02 Sep 2016 17:25:33 +0200

Changed in libreoffice (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-themes - 16.10+16.10.20160908-0ubuntu1

---------------
ubuntu-themes (16.10+16.10.20160908-0ubuntu1) yakkety; urgency=medium

  [ Iain Lane ]
  * Fix combobox menus having a black line down the left hand side

 -- <email address hidden> (<email address hidden>) Thu, 08 Sep 2016 14:43:10 +0000

Changed in ubuntu-themes (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers